import scipy.io
import numpy as np
from scipy.stats import pearsonr

# load the subject X matrix
s = scipy.io.loadmat('subjectmat.mat')['subjectmat']
# load the group matrix, which is the mean of all subjects expect subject X
g = scipy.io.loadmat('groupmat.mat')['groupmat']
# get the number of nodes / shape of the matrix
n_nodes = s.shape[0]
# store our results here
isfc = np.zeros((n_nodes))
# mask, so that we don't include the diagonal
mask = np.ones((n_nodes))
# loop through each node, calculating how similar it's connectivity is to the group average.
for i in range(n_nodes):
	m = mask.copy()
	m[i] = 0
	m = m.astype(bool)
	isfc[i] = pearsonr(s[i][m],g[i][m])[0]
# save out
scipy.io.savemat('ISFCpearson_mb.mat',{'pearsonr_result':isfc})